- id: '1735610848452'
  alias: Get home
  description: ''
  triggers:
  - trigger: zone
    entity_id: person.dylan
    zone: zone.home
    event: enter
  conditions:
  - condition: sun
    before: sunrise
    after: sunset
  actions:
  - action: light.turn_on
    metadata: {}
    data: {}
    target:
      device_id: 68e12c12e16970a2d56c0c2e88f200c4
  mode: single
- id: '1736027512732'
  alias: Garage door open when no one home
  description: ''
  triggers:
  - trigger: numeric_state
    entity_id:
    - zone.home
    for:
      hours: 0
      minutes: 1
      seconds: 0
    attribute: persons
    below: 1
  conditions:
  - condition: device
    device_id: 0fafc0f1910b6a3850552e9365768156
    domain: cover
    entity_id: 0b5f312231544f01ad3c23e7bb84ab48
    type: is_open
  actions:
  - action: notify.notify
    metadata: {}
    data:
      message: Garage Door open!!!!!!
      title: Check The Garage door
      data:
        clickAction: entityId:cover.ratgdov32_df20c0_door
        url: entityId:cover.ratgdov32_df20c0_door
  mode: single
- id: '1737323197259'
  alias: Living Room Tv save your eyes
  description: Turn on Lights if  in living room and it gets too dark
  triggers:
  - type: illuminance
    device_id: 488c540e918a8b690e170e040fbd5614
    entity_id: 1daaae0003d372ac931a475889742dfe
    domain: sensor
    trigger: device
    below: 1.2
  conditions: []
  actions:
  - choose:
    - conditions:
      - type: is_occupied
        condition: device
        device_id: 488c540e918a8b690e170e040fbd5614
        entity_id: a81a4d936e2d10266bc9d110228fdc2b
        domain: binary_sensor
      - condition: device
        device_id: 892cf6fdfce4144f8ecd47d2a3ea3b98
        domain: media_player
        entity_id: 1c641a606aa4ccd87a08f84b9838cf10
        type: is_on
      sequence:
      - type: turn_on
        device_id: ad27e0f6d3839d64c99d656a6906af04
        entity_id: 178e9744e6539f4888b0eabadf077e3d
        domain: light
  mode: single
- id: '1738379876080'
  alias: Office light automation
  description: ''
  triggers:
  - type: value
    device_id: ad0187dc58ad2db669eb3f3a780bbbc1
    entity_id: ebfc15bb8395c6bf6a294875723c6720
    domain: sensor
    trigger: device
    above: 0
  conditions: []
  actions:
  - choose:
    - conditions:
      - type: is_illuminance
        condition: device
        device_id: ad0187dc58ad2db669eb3f3a780bbbc1
        entity_id: 1698501b4cbd21b5cced2d837671714a
        domain: sensor
        below: 3
      - condition: sun
        before: sunrise
        after: sunset
      sequence:
      - action: light.turn_on
        metadata: {}
        data: {}
        target:
          device_id:
          - 208f05d85e32934045f8434138edf907
    - conditions:
      - type: is_value
        condition: device
        device_id: ad0187dc58ad2db669eb3f3a780bbbc1
        entity_id: ebfc15bb8395c6bf6a294875723c6720
        domain: sensor
        below: 1
      - condition: state
        entity_id: light.office_light
        state: 'on'
        for:
          hours: 0
          minutes: 0
          seconds: 30
      sequence:
      - action: light.turn_off
        metadata: {}
        data: {}
        target:
          device_id:
          - 208f05d85e32934045f8434138edf907
  mode: single
- id: '1738380348989'
  alias: Office Lights Off
  description: ''
  triggers:
  - type: value
    device_id: ad0187dc58ad2db669eb3f3a780bbbc1
    entity_id: ebfc15bb8395c6bf6a294875723c6720
    domain: sensor
    trigger: device
    below: 1
    for:
      hours: 0
      minutes: 0
      seconds: 15
  conditions: []
  actions:
  - choose:
    - conditions:
      - condition: state
        entity_id: light.office_light
        state: 'on'
      sequence:
      - action: light.turn_off
        metadata: {}
        data: {}
        target:
          device_id:
          - 208f05d85e32934045f8434138edf907
  mode: single
- id: '1738545948899'
  alias: 'Island Light on '
  description: ''
  triggers:
  - type: occupied
    device_id: cc748bb29a5a249f4810e64dcded05be
    entity_id: 7eb6e21998efacc0b944d48bd571ac4a
    domain: binary_sensor
    trigger: device
  conditions: []
  actions:
  - choose:
    - conditions:
      - type: is_illuminance
        condition: device
        device_id: ad0187dc58ad2db669eb3f3a780bbbc1
        entity_id: 1698501b4cbd21b5cced2d837671714a
        domain: sensor
        below: 3
      - condition: sun
        before: sunrise
        after: sunset
      sequence:
      - action: light.turn_on
        metadata: {}
        data: {}
        target:
          device_id: 4f78e722c63294171fee7b98d282eec8
    - conditions:
      - type: is_value
        condition: device
        device_id: ad0187dc58ad2db669eb3f3a780bbbc1
        entity_id: ebfc15bb8395c6bf6a294875723c6720
        domain: sensor
        below: 1
      - condition: state
        entity_id: light.office_light
        state: 'on'
        for:
          hours: 0
          minutes: 0
          seconds: 30
      sequence:
      - action: light.turn_off
        metadata: {}
        data: {}
        target:
          device_id:
          - 208f05d85e32934045f8434138edf907
  mode: single
- id: '1738546097282'
  alias: 'Island Lights Off '
  description: ''
  triggers:
  - type: not_occupied
    device_id: cc748bb29a5a249f4810e64dcded05be
    entity_id: 7eb6e21998efacc0b944d48bd571ac4a
    domain: binary_sensor
    trigger: device
  conditions: []
  actions:
  - choose:
    - conditions:
      - condition: state
        entity_id: light.island_light
        state: 'on'
      sequence:
      - action: light.turn_off
        metadata: {}
        data:
          transition: 32
        target:
          device_id: 4f78e722c63294171fee7b98d282eec8
  mode: single
- id: '1747147655646'
  alias: Pool Night Cycle On
  description: Turn on pool pump in off hours
  triggers:
  - trigger: time
    at: 03:00:00
  conditions:
  - condition: state
    entity_id: input_boolean.pool_open
    state: 'on'
  actions:
  - type: turn_on
    device_id: 5bdd11f1eab7addd24d15c9f8e738222
    entity_id: 64841d6b9950dad4932bc5f3c34baad5
    domain: switch
  mode: single
- id: '1747147728447'
  alias: Pool on durring peak heat
  description: Turn on pool pump in off hours
  triggers:
  - trigger: time
    at: '15:00:00'
  conditions:
  - condition: state
    entity_id: input_boolean.pool_open
    state: 'on'
  actions:
  - type: turn_on
    device_id: 5bdd11f1eab7addd24d15c9f8e738222
    entity_id: 64841d6b9950dad4932bc5f3c34baad5
    domain: switch
  mode: single
- id: '1747147841458'
  alias: Morning pool pump off
  description: Turn off pool pump in off hours
  triggers:
  - trigger: time
    at: 07:00:00
  conditions:
  - condition: state
    entity_id: input_boolean.pool_open
    state: 'on'
  actions:
  - type: turn_off
    device_id: 5bdd11f1eab7addd24d15c9f8e738222
    entity_id: 64841d6b9950dad4932bc5f3c34baad5
    domain: switch
  mode: single
- id: '1747147937731'
  alias: Evening turn pool pump off
  description: Turn off pool pump off in the evening
  triggers:
  - trigger: time
    at: '22:00:00'
  conditions:
  - condition: state
    entity_id: input_boolean.pool_open
    state: 'on'
  actions:
  - type: turn_off
    device_id: 5bdd11f1eab7addd24d15c9f8e738222
    entity_id: 64841d6b9950dad4932bc5f3c34baad5
    domain: switch
  mode: single
- id: '1747151502155'
  alias: Close Pool
  description: ''
  triggers:
  - trigger: state
    entity_id:
    - input_boolean.pool_open
    from: 'on'
    to: 'off'
  conditions: []
  actions:
  - action: homeassistant.disable_device
    metadata: {}
    data:
      device_id:
      - 5bdd11f1eab7addd24d15c9f8e738222
      - 82ec2369c31363e2a119223ed2153060
      - 35bb41588f12c21f8c1ff8989dd7bdee
      - 30f1d5aaf5debab5be7b2d335d9a8260
  - action: automation.turn_off
    metadata: {}
    data:
      stop_actions: true
    target:
      label_id: pool
  mode: single
- id: '1747151731876'
  alias: Open Pool
  description: ''
  triggers:
  - trigger: state
    entity_id:
    - input_boolean.pool_open
    from: 'off'
    to: 'on'
  conditions: []
  actions:
  - action: homeassistant.enable_device
    metadata: {}
    data:
      device_id:
      - 5bdd11f1eab7addd24d15c9f8e738222
      - 82ec2369c31363e2a119223ed2153060
      - 35bb41588f12c21f8c1ff8989dd7bdee
      - 30f1d5aaf5debab5be7b2d335d9a8260
  - action: automation.turn_on
    metadata: {}
    data: {}
    target:
      label_id: pool
  mode: single
- id: '1747699194888'
  alias: Island Light Presence
  description: ''
  triggers:
  - trigger: state
    entity_id:
    - binary_sensor.everything_presence_lite_ccb818_zone_1_occupancy
    to: 'on'
    id: island presence detected
  - trigger: state
    entity_id:
    - binary_sensor.everything_presence_lite_ccb818_zone_1_occupancy
    from: 'on'
    id: island presence clear
  - trigger: event
    event_type: timer.finished
    event_data:
      entity_id: timer.island_on_timmer
    id: timed out
  conditions: []
  actions:
  - choose:
    - conditions:
      - condition: and
        conditions:
        - condition: not
          conditions:
          - condition: or
            conditions:
            - condition: state
              entity_id: input_select.day_mode
              state: Asleep
            - condition: state
              entity_id: input_select.day_mode
              state: 'Away '
        - condition: trigger
          id:
          - island presence detected
      sequence:
      - action: light.turn_on
        metadata: {}
        data: {}
        target:
          device_id: 4f78e722c63294171fee7b98d282eec8
      - action: timer.cancel
        target:
          entity_id: timer.island_on_timmer
        data: {}
    - conditions:
      - condition: trigger
        id:
        - island presence clear
      sequence:
      - action: timer.start
        target:
          entity_id: timer.island_on_timmer
        data:
          duration: '{{ states(''input_number.default_off_timmer'') | int }}'
    - conditions:
      - condition: trigger
        id:
        - timed out
      sequence:
      - action: light.turn_off
        metadata: {}
        data: {}
        target:
          device_id: 4f78e722c63294171fee7b98d282eec8
  mode: restart
- id: '1749747136744'
  alias: 'Range cooking '
  description: ''
  triggers:
  - trigger: state
    entity_id:
    - sensor.oven_operating_state
    to: run
    id: Range on
  - trigger: state
    entity_id:
    - sensor.oven_operating_state
    from: run
    id: range off
  - trigger: event
    event_type: timer.finished
    event_data:
      entity_id: timer.range_initial_time
    id: intial range on timer
  - trigger: event
    event_type: timer.finished
    id: range off timer
    event_data:
      entity_id: timer.range_off_timer
  conditions: []
  actions:
  - choose:
    - conditions:
      - condition: trigger
        id:
        - Range on
      sequence:
      - device_id: e7e277dd4e37f6e2ee84d4ff4bbe46ff
        domain: number
        entity_id: 312a37255518a0f5feeb83ef8201f14d
        type: set_value
        value: 1
      - device_id: e7e277dd4e37f6e2ee84d4ff4bbe46ff
        domain: select
        entity_id: c8e2a66048bd31b0f94e908942ce8864
        type: select_option
        option: high
      - action: timer.start
        metadata: {}
        data:
          duration: 00:03:00
        target:
          entity_id: timer.range_initial_time
      - action: timer.cancel
        metadata: {}
        data: {}
        target:
          entity_id: timer.range_off_timer
    - conditions:
      - condition: trigger
        id:
        - range off
      sequence:
      - action: timer.start
        metadata: {}
        data:
          duration: 00:04:00
        target:
          entity_id: timer.range_off_timer
      - action: timer.cancel
        metadata: {}
        data: {}
        target:
          entity_id: timer.range_initial_time
    - conditions:
      - condition: trigger
        id:
        - intial range on timer
      sequence:
      - device_id: e7e277dd4e37f6e2ee84d4ff4bbe46ff
        domain: number
        entity_id: 312a37255518a0f5feeb83ef8201f14d
        type: set_value
        value: 4
    - conditions:
      - condition: trigger
        id:
        - range off timer
      sequence:
      - device_id: e7e277dd4e37f6e2ee84d4ff4bbe46ff
        domain: number
        entity_id: 312a37255518a0f5feeb83ef8201f14d
        type: set_value
        value: 0
      - device_id: e7e277dd4e37f6e2ee84d4ff4bbe46ff
        domain: select
        entity_id: c8e2a66048bd31b0f94e908942ce8864
        type: select_option
        option: 'off'
      - action: timer.cancel
        metadata: {}
        data: {}
        target:
          entity_id: timer.range_initial_time
  mode: single
- id: '1749986655210'
  alias: Day mode status
  description: ''
  triggers:
  - trigger: numeric_state
    entity_id:
    - sensor.pixel_9_pro_xl_sleep_confidence
    for:
      hours: 0
      minutes: 5
      seconds: 0
    above: 80
    id: Dylan sleep
  - trigger: numeric_state
    entity_id:
    - sensor.pixel_9_pro_xl_sleep_confidence
    for:
      hours: 0
      minutes: 5
      seconds: 0
    below: 75
    id: 'Dylan awake '
  conditions: []
  actions:
  - choose:
    - conditions:
      - condition: and
        conditions:
        - condition: trigger
          id:
          - Dylan sleep
      - condition: sun
        before: sunrise
        after: sunset
      sequence:
      - action: input_select.select_option
        metadata: {}
        data:
          option: Asleep
        target:
          entity_id: input_select.day_mode
    - conditions:
      - condition: trigger
        id:
        - 'Dylan awake '
      sequence:
      - choose:
        - conditions:
          - condition: sun
            before: sunrise
            after: sunset
            after_offset: '3:00:00'
            before_offset: '1:00:00'
          sequence:
          - action: input_select.select_option
            metadata: {}
            data:
              option: 'Evening '
            target:
              entity_id: input_select.day_mode
        - conditions:
          - condition: and
            conditions:
            - condition: sun
              after: sunrise
              after_offset: -01:00:00
            - condition: time
              weekday:
              - sat
              - fri
              - thu
              - wed
              - tue
              - mon
              - sun
              before: 09:00:00
          sequence:
          - action: input_select.select_option
            metadata: {}
            data:
              option: Morning
            target:
              entity_id: input_select.day_mode
  mode: single
- id: '1750164121548'
  alias: Set Sleep Statuses
  description: ''
  triggers:
  - trigger: numeric_state
    entity_id:
    - sensor.pixel_9_pro_xl_sleep_confidence
    for:
      hours: 0
      minutes: 5
      seconds: 0
    above: 80
    id: Dylan went to sleep
  - trigger: numeric_state
    entity_id:
    - sensor.pixel_9_pro_xl_sleep_confidence
    id: Dylan Woke Up
    for:
      hours: 0
      minutes: 5
      seconds: 0
    below: 75
  conditions: []
  actions:
  - choose:
    - conditions:
      - condition: trigger
        id:
        - Dylan went to sleep
      sequence:
      - action: counter.increment
        metadata: {}
        data: {}
        target:
          entity_id: counter.number_sleeping
      - action: input_boolean.turn_on
        metadata: {}
        data: {}
        target:
          entity_id: input_boolean.dylan_s_sleep_status
    - conditions:
      - condition: trigger
        id:
        - Dylan Woke Up
      sequence:
      - action: counter.decrement
        metadata: {}
        data: {}
        target:
          entity_id: counter.number_sleeping
      - action: input_boolean.turn_off
        metadata: {}
        data: {}
        target:
          entity_id: input_boolean.dylan_s_sleep_status
  mode: single
- id: '1750186760396'
  alias: Set Time of Day
  description: ''
  triggers:
  - trigger: sun
    event: sunrise
    offset: '-1:00:00'
    id: Morning
  - trigger: sun
    event: sunset
    offset: '-1:00:00'
    id: Evening
  - trigger: time
    at: '10:00:00'
    id: Late Morning
  - trigger: time
    at: '12:00:00'
    id: Afternoon
  - trigger: sun
    event: sunset
    offset: '3:00:00'
    id: Night
  - trigger: homeassistant
    event: start
    id: Startup
  conditions: []
  actions:
  - choose:
    - conditions:
      - condition: trigger
        id:
        - Morning
      sequence:
      - action: input_select.select_option
        metadata: {}
        data:
          option: Morning
        target:
          entity_id: input_select.time_of_day
    - conditions:
      - condition: trigger
        id:
        - Late Morning
      sequence:
      - action: input_select.select_option
        metadata: {}
        data:
          option: Late Morning
        target:
          entity_id: input_select.time_of_day
    - conditions:
      - condition: trigger
        id:
        - Afternoon
      sequence:
      - action: input_select.select_option
        metadata: {}
        data:
          option: Afternoon
        target:
          entity_id: input_select.time_of_day
    - conditions:
      - condition: trigger
        id:
        - Evening
      sequence:
      - action: input_select.select_option
        metadata: {}
        data:
          option: Evening
        target:
          entity_id: input_select.time_of_day
    - conditions:
      - condition: trigger
        id:
        - Night
      sequence:
      - action: input_select.select_option
        metadata: {}
        data:
          option: Night
        target:
          entity_id: input_select.time_of_day
    default:
    - choose:
      - conditions:
        - condition: sun
          after: sunrise
          after_offset: '-1:00:00'
        - condition: time
          before: '10:00:00'
        sequence:
        - action: input_select.select_option
          metadata: {}
          data:
            option: Morning
          target:
            entity_id: input_select.time_of_day
      - conditions:
        - condition: time
          before: '12:00:00'
          after: '10:00:00'
        sequence:
        - action: input_select.select_option
          metadata: {}
          data:
            option: Late Morning
          target:
            entity_id: input_select.time_of_day
      - conditions:
        - condition: sun
          before: sunset
          before_offset: '-1:00:00'
        - condition: time
          after: '12:00:00'
        sequence:
        - action: input_select.select_option
          metadata: {}
          data:
            option: Afternoon
          target:
            entity_id: input_select.time_of_day
      - conditions:
        - condition: sun
          after: sunset
          after_offset: '-1:00:00'
          before: sunset
          before_offset: '3:00:00'
        sequence:
        - action: input_select.select_option
          metadata: {}
          data:
            option: Evening
          target:
            entity_id: input_select.time_of_day
      - conditions:
        - condition: sun
          after: sunset
          after_offset: '3:00:00'
          before: sunrise
          before_offset: '-1:00:00'
        sequence:
        - action: input_select.select_option
          metadata: {}
          data:
            option: Night
          target:
            entity_id: input_select.time_of_day
  mode: single
- id: '1750351885412'
  alias: Living room ac
  description: ''
  triggers:
  - trigger: numeric_state
    entity_id:
    - sensor.living_room_temperature
    above: 75
    id: 'Turn on living room AC '
  - trigger: numeric_state
    entity_id:
    - sensor.living_room_temperature
    below: 70
    id: Turn Living Room AC off
  conditions:
  - condition: state
    entity_id: climate.living_room
    attribute: hvac_action
    state: 'off'
  actions:
  - choose:
    - conditions:
      - condition: trigger
        id:
        - 'Turn on living room AC '
      sequence:
      - type: turn_on
        device_id: da2464177a95a38d3709f9431e511374
        entity_id: 3c7de36d7b5cb7fa2f50181ffbb44cbf
        domain: switch
    - conditions:
      - condition: trigger
        id:
        - Turn Living Room AC off
      sequence:
      - type: turn_off
        device_id: da2464177a95a38d3709f9431e511374
        entity_id: 8d109abd5d6fce8537e5395f0c639753
        domain: light
  mode: single
- id: '1750429176429'
  alias: Master Bedroom AC
  description: ''
  triggers:
  - trigger: numeric_state
    entity_id:
    - sensor.master_bedroom_temperature
    above: 75
    id: 'Turn on master bedroom AC '
  - trigger: numeric_state
    entity_id:
    - sensor.master_bedroom_temperature
    below: 70
    id: Turn Master Bedroom AC off
  conditions:
  - condition: state
    entity_id: climate.master_bedroom
    attribute: hvac_action
    state: 'off'
  - condition: not
    conditions:
    - condition: state
      entity_id: climate.portable_air_conditioner
      state: unavailable
  actions:
  - choose:
    - conditions:
      - condition: trigger
        id:
        - 'Turn on master bedroom AC '
      sequence:
      - device_id: b407b8688ac2f8588a8c665f67066748
        domain: climate
        entity_id: c9e55f517a5bd6328d494953e99c7e02
        type: set_hvac_mode
        hvac_mode: cool
    - conditions:
      - condition: trigger
        id:
        - Turn Master Bedroom AC off
      sequence:
      - device_id: b407b8688ac2f8588a8c665f67066748
        domain: climate
        entity_id: c9e55f517a5bd6328d494953e99c7e02
        type: set_hvac_mode
        hvac_mode: 'off'
  mode: single
